Authorize a card
import requests
url = "https://api.trysynch.com/Payment/Card/Auth"
payload = {
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"returnUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/Card/Auth';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
registrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactNumber: '<string>',
returnUrl: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/Payment/Card/Auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"returnUrl": "<string>"
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/Card/Auth");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"returnUrl\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/Card/Auth")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"returnUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"paymentRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"registrationPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Payment
Authorize a card
Authorizes a card for a given user.
POST
/
Payment
/
Card
/
Auth
Authorize a card
import requests
url = "https://api.trysynch.com/Payment/Card/Auth"
payload = {
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"returnUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/Card/Auth';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
registrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactNumber: '<string>',
returnUrl: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/Payment/Card/Auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactNumber": "<string>",
"returnUrl": "<string>"
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/Card/Auth");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"returnUrl\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/Card/Auth")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"locationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123,\n \"registrationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contactNumber\": \"<string>\",\n \"returnUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"paymentRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"registrationPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Body
application/jsontext/jsonapplication/*+json
Last modified on July 21, 2026
Was this page helpful?
⌘I